var kyan=document.createElement('canvas');
kyan.height=80;
kyan.width=150;
kyan.style.position='absolute';
document.body.appendChild(kyan);
kyan.style.userSelect='none';
var kya=kyan.getContext('2d');
var vtotal=window.innerHeight;
var htotal=window.innerWidth;
var lang='jp';
var mode='lang';
var times=2;
var talking=false;
var fade=0;
var fadein=true;
var fadec=0;
var kyara='ota';
var otalev=0;
kyan.style.top=(vtotal/2)-((80*times)/2);
kyan.style.left=(htotal/2)-((150*times)/2);
kyan.width=times*150;
kyan.height=times*80;
kya.imageSmoothingEnabled=false;
kya.fillStyle='#110011';
kya.fillRect(0,0,150*times,80*times);
kya.fillStyle='#aa00aa';
kya.font='25px arial';
kya.fillText('Loading',(75*times)-(kya.measureText('Loading').width/2),(15*times)+(30*times));
var men=0;

var px=0;
var py=0;

class Sprites{
	constructor(name,w,h,po,ac){
		this.name=name;
		this.h=h;
		this.w=w;
		this.img=document.createElement('img');
		this.img.src='dotzcom/'+this.name+'.png';
		this.frame=0;
		this.sound=new Array();				
		this.pos=po;
		this.act=ac;
	}	
	sounds(){
		if(arguments[0]!=undefined){
			for(var i=1;i<arguments.length;i++){				
				if(arguments[i]!=undefined){
					this.sound[arguments[i]]=arguments[0];					
				}
			}
		}		
	}
	d(x,y,col,line){		
		if(col==undefined){
			kya.drawImage(this.img,x,y);				
		}else{
			if(line==undefined){
				line=0;
			}
			kya.drawImage(this.img,this.w*col,line*this.h,this.w,this.h,x,y,this.w,this.h)
		}
	}
	walk(x,y,line,repeat,wink){		
		if(line==undefined){
			line=0;
		}
		if(this.sound[this.frame]!=undefined){					
			this.sound[this.frame].play();			
		}
		if(repeat==undefined){
			kya.drawImage(this.img,this.w*this.frame,line*this.h,this.w,this.h,x,y,this.w,this.h)
			this.frame++
			if(this.frame+1>this.img.width/this.w){
				this.frame=0;
			}				
		}else{
			if(!wink){
				kya.drawImage(this.img,this.w*this.frame,line*this.h,this.w,this.h,x,y,this.w,this.h)
				this.frame++
				if(this.frame+1>this.img.width/this.w){
					this.frame=repeat;
				}	
			}else{
				kya.drawImage(this.img,this.w*this.frame,line*this.h,this.w,this.h,x,y,this.w,this.h)
				if(this.frame<repeat){
					this.frame++
				}else {
					if(Math.floor(Math.random()*15)==1){
						this.frame=repeat+1;
					}else{
						this.frame=repeat;
					}
				}	
			}
		}
		
	}
	stand(x,y,line){		
		if(line==undefined&this.pos==undefined){
			line=0;
		}else if(this.pos!=undefined&line==undefined){
			line=this.pos			
		}
		kya.drawImage(this.img,this.w*this.frame,line*this.h,this.w,this.h,x,y,this.w,this.h)
		if(Math.floor(Math.random()*7)==1){
			this.frame=1;
		}else{
			if(this.act==undefined){
				this.frame=0;
			}else if(this.act=='smoke'){
				(this.frame==0)?(this.frame=3):(this.frame=0)			
			}else if(this.act=='talk'){
				(Math.floor(Math.random()*4)==2)?(this.frame=2):(this.frame=0)			
			}
		}
		if(this.sound[this.frame]!=undefined){							
			this.sound[this.frame].play();			
		}
	}	
}

var bgm=new Audio();
bgm.src='dotzcom/bgm.wav';
bgm.loop=true;
bgm.volume=0.5;
var ssign=new Audio();
ssign.src='dotzcom/sign.wav';
var walks=new Audio();
walks.src='dotzcom/walk.wav';
var click=new Audio();
click.src='dotzcom/click.wav';

var type2=new Audio();
type2.src='dotzcom/typing0.wav';
var sbutton=new Audio();
sbutton.src='dotzcom/button.wav';
var sundress=new Audio();
sundress.src='dotzcom/undress.wav';
var swet=new Audio();
swet.src='dotzcom/wet.wav';
var sban=new Audio();
sban.src='dotzcom/ban.wav';

var pointer=new Sprites('pointer',34,16);
var pen=new Sprites('bg_pen',17,27);
var bg=new Sprites('bg',150,80);
var bg2=new Sprites('bg2',150,80);
var bglang=new Sprites('bg_lang',150,80);
var bgmenu=new Sprites('bg_menu',150,80);
var bgsplash=new Sprites('bg_splash',150,80);
var bgsplashjp=new Sprites('bg_splashjp',67,12);
bgsplashjp.sounds(type2,1,3,5,7);
var bgsplashen=new Sprites('bg_splashen',67,12);
bgsplashen.sounds(type2,1,3,5,7,9,11,13,15,17,19);
var bgbuttons=new Sprites('bg_buttons',150,80);
var kazu=new Sprites('kazu',7,7);

var bgs=new Sprites('bgs',150,80);
var otaga=new Sprites('otaga',60,60,1);
var otagapan=new Sprites('otaga_pan',60,60);
otagapan.sounds(sundress,4);
otagapan.sounds(sban,14);

var bosu=new Sprites('bosu',60,60,0,'smoke');
var bosuhiza=new Sprites('bosu_hiza',65,60);
var bosuhizab=new Sprites('bosu_hizab',65,60);
var bosusukanugi=new Sprites('bosu_sukanugi',65,60);
bosusukanugi.sounds(sundress,6);
var bosufck=new Sprites('bosu_fck',65,60);
bosufck.sounds(walks,4,6);
bosufck.sounds(swet,10,18);
bosufck.sounds(sban,19);

var oto=new Sprites('oto',60,60);
oto.sounds(walks,1,3);

var p={x:0,y:0,lock:false};
var op={x:15,y:63,lock:true,line:5,col:0};
var layers=new Array();

layers[0]=bg;
layers[1]=pointer;
layers[20]=bg2;
layers[23]=otaga;
layers[24]=oto;

var dialogs=new Array();
var dian=1;
var talkingto='';
dialogs['jpscreen']='画面サイズ';
dialogs['enscreen']="Screen Size";

dialogs['jpkanran']='アニメの視聴（セリフ無し）';
dialogs['enkanran']='Watch the animations(no dialogs)';

dialogs['jpin1']='この会社に採用された時全然嬉しくなかった、面接で社長に色々言われて最悪でした。';
dialogs['jpin2']='他のところで全部おちてしかたなくここで働いてるってわけ。';
dialogs['jpin3']='毎日怒られっぱなしと想像してたのに笑顔で毎朝仕事に向かってる俺。';

dialogs['enin1']="When I was hired for this job I was so depressed, in the interview my boss was so angry with me for no reason. Don't even know why I was hired.";
dialogs['enin2']="But since this is the only place that called me back after the interview here I am...";
dialogs['enin3']="I was so unmotivated, imagined that boss yelling at me everyday but now I'm so happy to work here!";

dialogs['jpotaga1']='初めまして新人さん！知らないことあったら何でも聞いてくださいね、宜しくお願いします。';
dialogs['jpotaga2']='え？私のこと知ってるんですか？会ったことないと思うけど。。。え？私の配信のリスナーさん？！はは配信？';
dialogs['jpotaga3']='いやいや人違いですよ、私なんて。。。え？あの猫耳ヘッドフォン送ってくれたリスナーさんでした？　ぁ、ありがとう。。。';
dialogs['jpotaga4']='いやいや人違いですよ！恥ずかしい。。。私の踊ってみた動画も見てるって？　ぁりがとう。。。';
dialogs['jpotaga5']='違う違う！そんなの投稿してないですよ！配信よりリアルの方が二倍可愛いって？　ありがとう、そんなそんな。。。';
dialogs['jpotaga6']='私のエロ配信見ていつもいっぱいぬいてるって？そう？嬉しいね。。。';
dialogs['jpotaga7']='違う違う！とりあえずここでそういう話はやめて下さいよ、色々恥ずかしいよ働きましょう！';

dialogs['enotaga1']="Hi there, you're the new guy right? Don't be shy you can ask me anything you need.";
dialogs['enotaga2']="Yo-you already know me? I don't think so, what? You watched my live stream? Li-live stream?!";
dialogs['enotaga3']="That's not me,I never...what? You're the viewer that gave me that cat ear headphone? Thank you...";
dialogs['enotaga4']="No, that's not me! You watch my dancing videos too? Tha-thank you...";
dialogs['enotaga5']="Not me!I don't do that! I look twice cuter in person than on screen? Oh thank you, I'm not that cute...";
dialogs['enotaga6']="You fap and cum loads and loads watching my sexy streams?Really? That makes me so happy...";
dialogs['enotaga7']="Not me!! Anyway, just stop talking this kind of things here,I'm so embarrassed...let's work!!";

dialogs['jp1rest1']='このエスプレッソマシーンのコーヒー美味しいよね　新人さんも少し飲むんですか？';
dialogs['jp1rest2']='もうちょっとで出来あがるから待って下さいね';
dialogs['jp1rest3']='あとちょっとだけ。。。';
dialogs['jp1rest4']='きゃぁあ！どうしました新人さん！気持いいけどやめて下さいよ！配信で私のお尻たたきずっと見てて生で見てたら我慢できなくなった？';
dialogs['jp1rest5']='体験版をプレイしてありがとうございます　フーディーコープ2022年';

dialogs['en1rest1']="This espresso machine makes such a good coffee, you want some?";
dialogs['en1rest2']="Just a little more and it'll be done ok";
dialogs['en1rest3']="Just a little...";
dialogs['en1rest4']="Oh Geez!What you doing? It feels good but please stop!Watching my streams made you so excited you couldn't resist slapping my butt?";
dialogs['en1rest5']="Thanx for playing the Trial version - Hoodie Corp 2022";

dialogs['jptoire1']='トイレだ。。。';
dialogs['entoire1']="The toilet...";

dialogs['jpwork1']='いっぱい働きました！';
dialogs['enwork1']='Ok, I worked enough already.';

dialogs['jpboss1']='最近の若手ムカつくわ、残業全然しないで定時で帰りたがる。。。どうした新人？もう昼の時間って？あぁ　いいよ休憩して、隣のとんかつ屋さんがおすすめですよ。';
dialogs['jpboss2']='ぶぶブタが好き？！誰がブタ！ブタと罵られても何もでないよこのやろう！';
dialogs['jpboss3']='マスターの願いなんでも叶えてあげますっ！このメスブタをもっと罵ってください！';
dialogs['jpboss4']='この身体は全部マスターのものです、好きにして下さい！';
dialogs['jpboss5']='私の汚いケツもマスターのものです、いっぱいののしられてもうヌチュヌチュです！';
dialogs['jpboss6']='あああ！マスターのちんこ気持いい！はぁはぁ　壊れそう！';
dialogs['jpboss7']='体験版をプレイしてありがとうございます　フーディーコープ2022年';

dialogs['enboss1']="Man these youngsters are so lazy, they all want to go home at 5...what's up new guy? It's lunch time? Ok you can go, that pork cutlet restaurant is delicious I recommend.";
dialogs['enboss2']="Pi-pig?!Who's the pig?!Cursing me with sweets words like that won't give you anything !";
dialogs['enboss3']="I'll make anything you order me my Master! Please call me pig, insult me again!";
dialogs['enboss4']="This body is all yours Master! Please do whatever you want!";
dialogs['enboss5']="This dirty ass is yours too, and it's all wet by your sweet cursed words, please insult me, call me filthy pig!";
dialogs['enboss6']="Oh Master! Your dick is tearing my ass, it's so good!";
dialogs['enboss7']="Thanx for playing the Trial version - Hoodie Corp 2022";

var prom=1;

function dia(dd,x,y,size,color,w){
	if(dialogs[dd+dian]==undefined){
		if(dd!=undefined){
			var d=dd;
		}
	}else{
		var d=dialogs[dd+dian];
	}
	kya.font=size+'px arial';
	if(prom>=9){
		prom=1;
	}else{
		prom++;
	}
	switch(color){
		case 'white':
			kya.fillStyle='#ffffff';			
			break;
		default:
			kya.fillStyle='#000000';
			break;
	}
	if(w!=undefined){
		var tem='';
		var lin=0;
		for(var i=0;i<d.length;i++){
			tem+=d.charAt(i);			
			if(kya.measureText(tem).width>=w|i>=d.length-1){
				if(i>=d.length-1&prom<5){
					if(dialogs[dd+(dian+1)]==undefined){
						tem+='.';
					}else{
						tem+='>';
					}
				}
				kya.fillText(tem,x,y+(lin*size));
				tem='';
				lin++;
			}			
		}
	}else{
		kya.fillText(d,x,y);
	}
}
function orglayers(na,y){
	var num;
	var ob;
	switch(na){
		case 'bosu':num=2;ob=bosu;break;
		case 'otaga':num=3;ob=otaga;break;		
		case 'oto':num=4;ob=oto;break;		
		default:break;
	}
	if(y<56){
		layers[num]=ob;
		layers[num+10]=undefined;
		layers[num+20]=undefined;
	}else if(y<63){		
		layers[num]=undefined;
		layers[num+10]=ob;
		layers[num+20]=undefined;
	}else{
		layers[num]=undefined;
		layers[num+10]=undefined;
		layers[num+20]=ob;
	}
	
}

function saisei(sn){
	sn.currentTime=0;
	sn.play();
};
function frame0(){
	otaga.act=undefined;
	otagapan.frame=1;		
	bosufck.frame=1;
	bosusukanugi.frame=1;	
}
function doors(){
	if(p.y==55&p.x<30||p.y==75&p.x<30){		
		return 'work';
	}else if(p.x==85&p.y>60&p.y<70){
		return 'otaga';
	}else if(p.y<41&p.x==85){														
		return 'rest';
	}else if(p.y==55&p.x>130){
		return 'boss';							
	}else if(p.y==75&p.x>130){
		return 'home';
	}else {
		return undefined
	}
}
var egaf;

function egaku(){
	if(mode=='lang'){
		kya.fillStyle='#220022';
		kya.fillRect(0,0,200,200);		
		if(px>13&px<60&py>10&py<70){
			bglang.d(0,0,1);		
		}else if(px<135&px>88&py>10&py<70){
			bglang.d(0,0,2);		
		}else{
			bglang.d(0,0);		
		}
		pen.d(px,py-pen.h);					
	}else if(mode=='kanran'){
		if(kyara=='ota'){
			bgs.d(0,0);		
			switch(dian){				
				case 1:
					otagapan.walk(-10,3,0,12);
					break;							
				default:
					break;
			}		
			bgs.d(0,0,0,1);			
		}else if(kyara=='bosu'){
			bgs.d(0,0,1);
			switch(dian){		
				case 1:
					bosu.act='smoke';
					bosu.stand(90,17);
					oto.d(-22,5,2,4);
					break;
				case 2:
					bosu.act='smoke';
					bosu.stand(90,17,1);
					oto.d(-22,5,2,4);
					break;
				case 3:
					bosuhiza.walk(0,5);
					break;
				case 4:
					bosuhizab.walk(0,5);
					break;
				case 5:
					bosusukanugi.walk(0,5,0,18);
					break;
				case 6:
					bosufck.walk(0,5,0,17);
					break;				
				default:
					break;
			}			
		}else {
			bgs.d(0,0,2,1);		
			oto.d(-22,11,2,4);
		}		
		if(px>132&py<23){
			bgbuttons.d(0,0,1,1);
			men=1;
		}else{
			if(px<75){
				bgbuttons.d(0,0,3,1);
				men=3;
			}else {
				bgbuttons.d(0,0,2,1);
				men=2;
			}
		}		
		if(dian<=9){
			kazu.d(4,1,dian,0);
		}else{
			kazu.d(-1,1,Math.floor(dian/10),0);
			kazu.d(4,1,(dian-Math.floor(dian/10)*10),0);
		}
	}else if(mode=='menu'){		
		kya.fillRect(0,0,200,200);
		bg.d(0,0);
		oto.d(-10,10,0,4);					
		if(px>45&px<69&py>2&py<23){
			bgmenu.d(-10,0,1);
			men=1;
		}else if(px>45&px<69&py>28&py<49){
			bgmenu.d(-10,0,2);
			men=2;
		}else if(px>45&px<107&py>57&py<76){
			bgmenu.d(-10,0,3);
			men=3;
		}else{
			bgmenu.d(-10,0);
			men=0;
		}				
		dia(dialogs[lang+'screen'],75,30,10)		
	}else if(mode=='menu2'){		
		kya.fillRect(0,0,200,200);
		bg.d(0,0);		
		if(px<26&py>14&py<34){
			bgbuttons.d(0,0,4,0);
			men=1;
			otaga.d(25,15,0,0);
		}else if(px<26&py>34&py<57){
			bgbuttons.d(0,0,3,0);
			men=2;
			bosu.d(25,15,0,0);
		}else if(px<26&py>57){
			bgbuttons.d(0,0,2,0);
			men=3;			
		}else if(px>132&py<23){
			bgbuttons.d(0,0,1,0);
			men=4;
		}else{
			bgbuttons.d(0,0,0,0);
			men=0;
		}		
		dia(dialogs[lang+'kanran'],10,10,8)				
	}else if(mode=='splash'){
		bgsplash.d(0,0,0);
		kya.save();
		kya.globalAlpha=fade;
		if(fadein){
			bgsplash.d(0,0,1);
		}else{
			bgsplash.d(0,0,2);
		}
		kya.restore();
		
		if(fadein){			
			fade+=0.1;
			if(fade>1){
				fade=1;
				fadein=undefined;
			}
		}else if(fadein==false){
			fade-=0.1;
			if(fade<0){
				fade=0;				
				mode='intro';
				saisei(bgm);
				fadein=true;
			}
		}else{		
			if(lang=='jp'){
				if((bgsplashjp.frame+2)*bgsplashjp.w<bgsplashjp.img.width){
					bgsplashjp.walk(32,20)									
				}else{
					bgsplashjp.walk(32,20,0,8)
					fadec++;
					fade=1;
					if(fadec>15){
						fadec=0;
						fadein=false;				
						bgsplashjp.frame=1;
					}
				}
			}else{
				if((bgsplashen.frame+2)*bgsplashen.w<bgsplashen.img.width){
					bgsplashen.walk(32,20)									
				}else{
					bgsplashen.walk(32,20,0,20)
					fadec++;
					fade=1;
					if(fadec>15){
						fadec=0;
						fadein=false;				
						bgsplashen.frame=1;
					}
				}
			}
		}
		
	}else if(mode=='intro'){
		kya.fillStyle='#220022';
		kya.fillRect(0,0,200,200);
		bg.d(0,0);
		bg2.d(0,0);		
		oto.d(50,15,0,4);		
		if(dialogs[lang+'in'+dian]!=undefined){
			kya.save();
			kya.globalAlpha=0.6;
			kya.fillRect(2,60,146,18);					
			dia(lang+'in',5,65,5,'white',138);
			kya.restore();
		}		
	}else if(mode=='rest'){
		bgs.d(0,0);			
		switch(dian){
			case 1:				
				otaga.d(-10,3,0,3);
				oto.d(25,3,3,4);	
				break;				
			case 2:				
				otaga.d(-10,3,0,3);
				oto.d(18,3,3,4);	
				break;			
			case 3:				
				otaga.d(-10,3,0,3);
				oto.d(10,3,3,4);	
				break;			
			case 4:
				otagapan.walk(-10,3,0,12);
				break;			
			case 5:				
				otaga.act='talk';
				otaga.stand(-10,3,4);				
				oto.d(15,15,3,4);
				break;							
			default:
				break;
		}		
		bgs.d(0,0,0,1);					
		if(px<25){
			men=1;
			kya.save();
			kya.globalAlpha=0.4;				
			pointer.d(0,65,2);							
			kya.restore();			
		}else if(px>100){
			men=2;
			kya.save();
			kya.globalAlpha=0.4;				
			pointer.d(98,65,2);							
			kya.restore();
		}else{
			men=0;
			if(talking&dialogs[lang+otalev+talkingto+dian]!=undefined){
				kya.save();
				kya.globalAlpha=0.6;
				kya.fillRect(2,60,146,18);					
				dia(lang+otalev+talkingto,5,65,5,'white',138);
				kya.restore();
			}
		}
		
	}else if(mode=='boss'){
		bgs.d(0,0,1);		
		if(dian<2){		
			bosu.act='smoke';
			bosu.stand(90,17);
			oto.d(-22,5,2,4);
		}else if(dian<3){		
			bosu.act='smoke';
			bosu.stand(90,17,1);
			oto.d(-22,5,2,4);
		}else if(dian<4){		
			bosuhiza.walk(0,5);
		}else if(dian<5){		
			bosuhizab.walk(0,5);
		}else if(dian<6){
			bosusukanugi.walk(0,5,0,18);
		}else{
			bosufck.walk(0,5,0,17);
		}
		if(px<25){
			men=1;
			kya.save();
			kya.globalAlpha=0.4;				
			pointer.d(0,58,2);							
			kya.restore();			
		}else{
			men=0;
			if(talking&dialogs[lang+talkingto+dian]!=undefined){
				kya.save();
				kya.globalAlpha=0.6;
				kya.fillRect(2,60,146,18);					
				dia(lang+talkingto,5,65,5,'white',138);
				kya.restore();
			}
		}
	}else if(mode=='toire'){
		bgs.d(0,0,2,1);				
		oto.d(-22,11,2,4);		
		if(px<25){
			men=1;
			kya.save();
			kya.globalAlpha=0.4;				
			pointer.d(0,65,2);							
			kya.restore();
		}else{
			men=0;
			if(talking&dialogs[lang+talkingto+dian]!=undefined){
				kya.save();
				kya.globalAlpha=0.6;
				kya.fillRect(2,60,146,18);					
				dia(lang+talkingto,5,65,5,'white',138);
				kya.restore();
			}
		}
	}else if(mode=='office'){
		if(!talking){			
			if(!op.lock){
				if(op.y==p.y&op.y==55||op.y==p.y&op.y==75||op.y==p.y&op.y==38||op.y==p.y&op.x==85){					
					if(Math.abs(op.x-p.x)>5){
						if(op.x<p.x){
							op.x+=5;
							op.line=2;
						}else{
							op.x-=5;
							op.line=1;
						}				
					}else{
						if(Math.abs(op.y-p.y)>2){
							if(op.y<p.y){
								op.y+=2;
								op.line=0;
							}else{
								op.y-=2;
								op.line=3;
							}					
						}
					}
					if(Math.abs(op.x-p.x)<=5){
						op.x=p.x;					
					}
					if(Math.abs(op.y-p.y)<=2){
								op.y=p.y;											
							}
					if(Math.abs(op.x-p.x)<1&Math.abs(op.y-p.y)<1){						
						p.lock=false;
						op.lock=true;				
						op.line=4;
						if(op.y==55&op.x<30||op.y==75&op.x<30){
							op.line=5;
							op.col=0;
							op.x=15;
							op.y=63;							
							talking=true;
							talkingto='work';
						}else if(op.x==85&op.y>60&op.y<70){
							if(otalev==0){
								otaga.pos=2
								otaga.act='talk';
								talking=true;
								talkingto='otaga';
							}
						}else if(op.y<41&op.x==85){														
							mode='rest';
							talking=true;
							talkingto='rest';
							if(otalev==0){
								otalev=1;
							}
						}else if(op.y==55&op.x>130){
							mode='boss';							
							talking=true;
							talkingto='boss';
						}else if(op.y==75&op.x>130){							
							dian=1;
							frame0();
							talking=false;
							talkingto='';
							op.x=15;
							op.y=63;
							op.lock=true;
							op.line=5;
							op.col=0;
							mode='menu2';							
							bgm.pause();
							bgm.currentTime=0;
						}
					}
				}else{					
					if(op.x<80&op.x!=15&op.y!=63||op.x>90&op.x!=15&op.y!=63||op.y==55&op.x!=85||op.y==75&op.x!=85){
						if(op.x<85){
							op.x+=5;
							op.line=2;
						}else{
							op.x-=5;
							op.line=1;
						}
						if(op.x>=80&op.x<=90){
							op.x=85
						}					
					}else{
						if(op.x!=85&op.y!=75){							
							if(Math.abs(75-p.y)<Math.abs(55-p.y)){
								op.y+=2;
								op.line=0;								
								if(Math.abs(75-op.y)<=2){
									op.y=75;									
								}
							}else {								
								op.y-=2;
								op.line=3;
								if(Math.abs(55-op.y)<=2){
									op.y=55;
								}
							}							
						}else{							
							if(op.y!=p.y){							
								if(op.y<p.y){
									op.y+=2;
									op.line=0;
								}else if(op.y>p.y){
									op.y-=2;
									op.line=3;
								}
								if(Math.abs(op.y-p.y)<=2){
									op.y=p.y;
								}
							}
						}
					}
				}
			}
			orglayers('oto',op.y);
			if(p.lock){
				layers[1]=pointer;
				layers[21]=undefined;
			}else{
				layers[1]=undefined;
				layers[21]=pointer;
			}
		}
		kya.fillStyle='#220022';
		kya.fillRect(0,0,200,200);				
		for(i=0;i<layers.length;i++){
			if(layers[i]!=undefined){				
				switch(layers[i].name){
					case 'bg':
						layers[i].d(0,0);							
						break;
					case 'bg2':
						layers[i].d(0,0);																
						break;
					case 'pointer':
						kya.save();
						kya.globalAlpha=0.4;
						if(doors()!=undefined){
							if(p.lock){
								layers[i].d(p.x-(layers[i].w/2),p.y-(layers[i].h/2),3);
							}else{
								layers[i].d(p.x-(layers[i].w/2),p.y-(layers[i].h/2),2);
							}
						}else{
							if(p.lock){
								layers[i].d(p.x-(layers[i].w/2),p.y-(layers[i].h/2),1);
							}else{							
								layers[i].d(p.x-(layers[i].w/2),p.y-(layers[i].h/2),0);														
							}
						}
						kya.restore();
						break;														
					case 'otaga':	
						if(otalev==0){
							layers[i].stand(83,4);
						}
						break;	
					case 'oto':
						if(op.line!=4){
							if(op.line==5){								
								layers[i].d(op.x-(layers[i].w/2),op.y-layers[i].h,0,5);
							}else{
								layers[i].walk(op.x-(layers[i].w/2),op.y-layers[i].h,op.line);
							}
						}else{
							layers[i].d(op.x-(layers[i].w/2),op.y-layers[i].h,0,4);
						}
						break;	
					default:
						break;
				}
			}
		}		
		if(talking){
			kya.save();
			kya.globalAlpha=0.6;
			kya.fillRect(2,60,146,18);					
			dia(lang+talkingto,5,65,5,'white',138);
			kya.restore();
		}		
	}		
}
onmousedown=function(){	
	if(mode=='lang'){
		if(px>13&px<60&py>10&py<70){			
			saisei(ssign);
			lang='jp';
			mode='menu';			
			document.title='ドットオフィス　体験版';			
		}else if(px<135&px>88&py>10&py<70){			
			saisei(ssign);
			lang='en';
			mode='menu';
			document.title='Pixel Office-trial version';
			
		}			
	}else if(mode=='menu'){		
		if(men==3){
			mode='splash';
			saisei(click);			
		}else if(men==1){		
			if((times+1)*150<htotal&(times+1)*80<vtotal){
				saisei(click);
				times++;
				kyan.width=times*150;
				kyan.height=times*80;
				kya.scale(times,times)
				kya.imageSmoothingEnabled=false;
				kyan.style.top=(vtotal/2)-((80*times)/2);
				kyan.style.left=(htotal/2)-((150*times)/2);				
			}
		}else if(men==2){						
			if(times>2){
				saisei(click);
				times--;
				kyan.width=times*150;
				kyan.height=times*80;
				kya.scale(times,times)
				kya.imageSmoothingEnabled=false;
				kyan.style.top=(vtotal/2)-((80*times)/2);
				kyan.style.left=(htotal/2)-((150*times)/2);	
			}else{
				saisei(swet);
			}
		}
	}else if(mode=='menu2'){
		if(men==3){
			saisei(click);
			kyara='fuji';			
			mode='kanran';			
		}else if(men==1){					
			saisei(click);
			kyara='ota';
			mode='kanran';			
		}else if(men==2){			
			saisei(click);
			kyara='bosu';			
			mode='kanran';
		}else if(men==4){						
			saisei(click);			
			mode='office';
			saisei(bgm);
		}
	}else if(mode=='intro'){
		if(dialogs[lang+'in'+(dian+1)]!=undefined){
			dian++;
			saisei(click);
		}else{
			dian=1;
			mode='office';
			saisei(click);
		}
	}else if(mode=='toire'){
		dian=1;
		mode='rest';
		talkingto='rest';
		saisei(click);
		frame0();
	}else if(mode=='rest'){
		if(men==0){			
			if(dian<5){
				dian++;
			}else{
				dian=1;
				talkingto='';
				talking=false;
				mode='office';				
				frame0();
			}
		}else if(men==2){
			mode='toire';
			talking=true;
			talkingto='toire';
			frame0();
			dian=1;
		}else if(men==1){
			dian=1;
			talkingto='';
			talking=false;
			mode='office';			
			frame0();
		}
		saisei(click);
	}else if(mode=='boss'){
		if(men==0){						
			if(dian>=7){
				talking=false;
				talkingto='';
				dian=1;
				mode='office';
				frame0();				
			}else{
				dian++;
			}
		}else{
			talking=false;
			talkingto='';
			dian=1;
			mode='office';
			frame0();				
		}
		saisei(click);
	}else if(mode=='office'){
		saisei(click);
		if(talking==false){
			if(!p.lock){
				p.lock=true;
				op.lock=false;
			}
		}else{
			if(dialogs[lang+talkingto+(dian+1)]==undefined){
				talkingto='';
				talking=false;
				dian=1;
				otaga.pos=1;
				otaga.act=undefined;
			}else{
				dian++;
			}
		}
	}else if(mode=='kanran'){
		if(men==1){
			saisei(click);
			dian=1;
			frame0();
			mode='menu2';
		}else{			
			if(kyara=='ota'){
				saisei(click);
				if(men==2){
					dian=1;	
					frame0();					
				}else{					
					dian=1;					
					frame0();
				}
			}else if(kyara=='bosu'){
				if(men==2){
					saisei(click);
					if(dian<6){
						dian++;
					}else{
						dian=1;
						frame0();
					}
				}else{
					saisei(click);
					if(dian>1){
						dian--;						
					}else{
						dian=6;
					}
					frame0();
				}
			}else {
				if(men==2){
					saisei(click);
					dian=1;										
				}else{
					saisei(click);
					dian=1;					
				}
			}
		}
	}	
}
onmousemove=function(e){
	if(e.clientX<(htotal/2)-((150*times)/2)){
		px=0;	
	}else if(Math.floor((e.clientX-((htotal/2)-((150*times)/2)))/times)>140){		
		px=140;	
		
	}else{
		px=Math.floor((e.clientX-((htotal/2)-((150*times)/2)))/times);	
	}
	if(e.clientY<((vtotal/2)-((80*times)/2))){
		py=0;
	}else if(Math.floor((e.clientY-((vtotal/2)-((80*times)/2)))/times)>80){
		py=80;
	}else{
		py=Math.floor((e.clientY-((vtotal/2)-((80*times)/2)))/times);	
	}	
	if(!p.lock){
		if(px>70&px<105&py>60&py<70||px>70&px<105&py<50){
			p.x=85;
			if(py>=38){
				p.y=py;
			}else{
				p.y=38;
			}
		}else{
			if(p.y==75||p.y==55){			
				p.x=px;			
			}else if(p.y==38){
				p.x=85;
			}
			if(py>75){
				p.y=75;
			}else if(py<38){
				p.y=38;
			}else if(py<65){
				p.y=55;
			}else{
				p.y=75;
			}
		}
	
	}
}
window.onload=function(){	
	kyan.width=times*150;
	kyan.height=times*80;
	kya.scale(times,times)
	kya.imageSmoothingEnabled=false;
	kyan.style.top=(vtotal/2)-((80*times)/2);
	kyan.style.left=(htotal/2)-((150*times)/2);	
	
	if(egaf==undefined){
		egaf=setInterval(egaku,100);
	}
}

